> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recent wallet transactions

> Lists the most recent transactions involving an address.



## OpenAPI

````yaml get /apechain/v1/recent/{walletAddress}/transactions
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/recent/{walletAddress}/transactions:
    get:
      tags:
        - Transactions
      summary: Get recent wallet transactions
      description: Lists the most recent transactions involving an address.
      operationId: getRecentWalletTransactions
      parameters:
        - description: A wallet address.
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Transaction'
                type: array
              examples:
                example1:
                  value:
                    - block_hash: >-
                        0x83e850fb4e1a77da8981fe6fb1085cc65c5d7ddba7710c181749f200188b4a4d
                      block_number: 1240257
                      block_timestamp: '2024-10-23T23:08:33Z'
                      contract_address: ''
                      cumulative_gas_used: '127832'
                      effective_gas_price: '25420690000'
                      from_address: '0xd81724134f98b1c2258742436c4f0c8f58e0a9d3'
                      gas: '47086'
                      gas_price: '25420690000'
                      gas_used: '46698'
                      input: >-
                        0xa22cb465000000000000000000000000fbf166299d3c012de9efec0240d12756c1f4c0fc0000000000000000000000000000000000000000000000000000000000000001
                      l1_fee: null
                      l1_fee_scalar: null
                      l1_gas_price: null
                      l1_gas_used: null
                      max_fee_per_gas: '25420690000'
                      max_priority_fee_per_gas: '25420690000'
                      nonce: '686'
                      status: 1
                      to_address: '0xcf9a9600d50874244ed6085773379a75cd60d72c'
                      transaction_hash: >-
                        0x4d9b6b49bc39f496014bd1d224e7e9890a2caddbf87868c327487d92faf293b9
                      transaction_index: 3
                      transaction_type: 2
                      value: '0'
                    - block_hash: >-
                        0x0ce069abd80f114d8e5a75fbf002a5f86e222b005fdf00cc94fbedd4803cb7da
                      block_number: 1209441
                      block_timestamp: '2024-10-23T20:59:35Z'
                      contract_address: ''
                      cumulative_gas_used: '46697'
                      effective_gas_price: '25420690000'
                      from_address: '0xa8726385981a81a5b9ec0c20062ea97a755ff256'
                      gas: '70629'
                      gas_price: '30504828000'
                      gas_used: '46697'
                      input: >-
                        0xa22cb4650000000000000000000000002052f8a2ff46283b30084e5d84c89a2fdbe7f74b0000000000000000000000000000000000000000000000000000000000000001
                      l1_fee: null
                      l1_fee_scalar: null
                      l1_gas_price: null
                      l1_gas_used: null
                      max_fee_per_gas: ''
                      max_priority_fee_per_gas: ''
                      nonce: '42'
                      status: 1
                      to_address: '0xcf9a9600d50874244ed6085773379a75cd60d72c'
                      transaction_hash: >-
                        0xe9f1abdc91d761aae59263aa90b436921b212b9efb3cc89385d04586ab14b4f4
                      transaction_index: 1
                      transaction_type: 0
                      value: '0'
                    - ...
          description: OK
components:
  schemas:
    Transaction:
      properties:
        block_hash:
          type: string
        block_number:
          format: int64
          type: integer
        block_timestamp:
          format: date-time
          type: string
        decoded:
          type: string
        from_address:
          type: string
        gas:
          type: string
        gas_price:
          type: string
        input:
          type: string
        max_fee_per_gas:
          type: string
        max_priority_fee_per_gas:
          type: string
        nonce:
          type: string
        to_address:
          type: string
        transaction_hash:
          type: string
        transaction_index:
          type: integer
        transaction_type:
          type: integer
        value:
          type: string
      required:
        - transaction_hash
        - transaction_index
        - nonce
        - block_hash
        - block_number
        - block_timestamp
        - from_address
        - to_address
        - value
        - gas
        - gas_price
        - max_fee_per_gas
        - max_priority_fee_per_gas
        - input
        - transaction_type
        - decoded
      type: object

````